---
title: "Retrieve user"
slug: "retrieve-user-v2usersid"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user (/v2/users/{id})

Get/v2/users/{id}

Retrieve a specific user.

Required authorizaton scope: 'api:users:read'.

Path parametersidstringRequired

Gong's unique numeric identifier for the user (up to 20 digits).

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='51e93e98-4f28-4305-918e-4c5ab2797caa'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
userobject (UserMetadata)  

User's metadata.

idstring    

Gong's unique numeric identifier for the user (up to 20 digits).

Example234599484848423
emailAddressstring    

The email address of the Gong user.

Exampletest@test.com
createdstring    

Creation time in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC);of the Gong user.

Example2018-02-17T02:30:00-08:00
activeboolean    

True if the user is active, false if not.

Exampletrue
emailAliases Array of string   

List of email address aliases of the Gong user.

Example[
  "testAlias@test.com"
]string    
trustedEmailAddressstring    

The trusted authentication email assigned to the Gong user

Exampletest@test.com
firstNamestring    

The first name of the Gong user.

ExampleJon
lastNamestring    

The last name of the Gong user.

ExampleSnow
titlestring    

The job title of the Gong user.

ExampleEnterprise Account Executive
phoneNumberstring    

The phone number of the Gong user.

Example+1 123-567-8989
extensionstring    

The extension number of the Gong user.

Example123
personalMeetingUrls Array of string   

The list of personal meeting URLs of the Gong user.

Example[
  "https://zoom.us/j/123"
]string    
settingsobject (Settings)  

The user's settings in the Gong system.

webConferencesRecordedboolean    

True if the team member is set to be recorded by Gong, false if not.

Exampletrue
preventWebConferenceRecordingboolean    

If true, invitation of this user to a web conference will prevent its recording (even if other users invited are set to record).

telephonyCallsImportedboolean    

True if the team member is set to import telephony calls from by Gong, false if not.

emailsImportedboolean    

True if the team member is set to import emails by Gong, false if not.

Exampletrue
preventEmailImportboolean    

True if the team member is set to prevent import of emails by Gong, false if not.

nonRecordedMeetingsImportedboolean    

True if the team member is set to import non recorded meetings by Gong, false if not.

Exampletrue
gongConnectEnabledboolean    

True if the team member has Gong Connect enabled, false if not.

Exampletrue

managerIdstring    

The manager ID of the Gong user.

Example563515258458745
meetingConsentPageUrlstring    

The Gong recording consent meeting link

Examplehttps://join.gong.io/my-company/jon.snow?tkn=MoNpS9tMNt8BK7EZxQpSJl
spokenLanguages Array of object (spokenLanguage)   object  

Languages spoken during calls by the Gong user

languagestring    

Language spoken by the user encoded according to the BCP-47 standard.

Examplees-ES
primaryboolean    

Indicates the primary language (one per user). The language will be assumed when the system cannot identify the language of a call, e.g., due to poor quality or the call being too short.

Exampletrue

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='eea739a1-0e76-4949-af43-a2822b6cc530'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='94695928-f5ef-4fd1-b58c-2846f367b258'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

User not found

<select class='api-response-data' aria-label='Media type'><option value='1d65310f-64ec-4d28-9b3e-ba698f004322'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='3ab5fd71-d567-446e-a81e-75a524572672'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='7ebe085a-eea8-4197-8e2f-ef235ae2acf1'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
